<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:27:11 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PreTemplateInstantiationListener (org.eclipse.papyrus.designer.transformation.core 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PreTemplateInstantiationListener (org.eclipse.papyrus.designer.transformation.core 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PreTemplateInstantiationListener.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/PostTemplateInstantiationListener.html" title="class in org.eclipse.papyrus.designer.transformation.core.templates"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateInstantiation.html" title="class in org.eclipse.papyrus.designer.transformation.core.templates"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/core/templates/PreTemplateInstantiationListener.html" target="_top">Frames</a></li>
<li><a href="PreTemplateInstantiationListener.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.transformation.core.templates</div>
<h2 title="Class PreTemplateInstantiationListener" class="title">Class PreTemplateInstantiationListener</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.transformation.core.templates.PreTemplateInstantiationListener</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/copylisteners/PreCopyListener.html" title="interface in org.eclipse.papyrus.designer.transformation.core.copylisteners">PreCopyListener</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">PreTemplateInstantiationListener</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/copylisteners/PreCopyListener.html" title="interface in org.eclipse.papyrus.designer.transformation.core.copylisteners">PreCopyListener</a></pre>
<div class="block">Template instantiation is implemented by means of an CopyListener that
 evaluates the template stereotype.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/PreTemplateInstantiationListener.html#PreTemplateInstantiationListener--">PreTemplateInstantiationListener</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/PreTemplateInstantiationListener.html#checkEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">checkEObject</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
            org.eclipse.emf.ecore.EObject&nbsp;sourceEObj)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/PreTemplateInstantiationListener.html" title="class in org.eclipse.papyrus.designer.transformation.core.templates">PreTemplateInstantiationListener</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/PreTemplateInstantiationListener.html#getInstance--">getInstance</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/PreTemplateInstantiationListener.html#init-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.TemplateBinding-">init</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copy,
    org.eclipse.uml2.uml.TemplateBinding&nbsp;binding)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/PreTemplateInstantiationListener.html#preCopyEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">preCopyEObject</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
              org.eclipse.emf.ecore.EObject&nbsp;sourceEObj)</code>
<div class="block">Is called for each EObject that is copied.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PreTemplateInstantiationListener--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PreTemplateInstantiationListener</h4>
<pre>public&nbsp;PreTemplateInstantiationListener()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/PreTemplateInstantiationListener.html" title="class in org.eclipse.papyrus.designer.transformation.core.templates">PreTemplateInstantiationListener</a>&nbsp;getInstance()</pre>
</li>
</ul>
<a name="init-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.TemplateBinding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public&nbsp;void&nbsp;init(<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copy,
                 org.eclipse.uml2.uml.TemplateBinding&nbsp;binding)</pre>
</li>
</ul>
<a name="preCopyEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>preCopyEObject</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EObject&nbsp;preCopyEObject(<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
                                                    org.eclipse.emf.ecore.EObject&nbsp;sourceEObj)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/copylisteners/PreCopyListener.html#preCopyEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">PreCopyListener</a></code></span></div>
<div class="block">Is called for each EObject that is copied. If it returns null, the
 indicated object should not be copied. If it returns an object that
 differs from the passed sourceEObj, this object is used (the returned
 object of the first listener that returns a different object is used).
 An exception is the specific "useSourceEObject" within the lazy
 copier: if this object is returned, no copy is done</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/copylisteners/PreCopyListener.html#preCopyEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">preCopyEObject</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/copylisteners/PreCopyListener.html" title="interface in org.eclipse.papyrus.designer.transformation.core.copylisteners">PreCopyListener</a></code></dd>
<dd><code>sourceEObj</code> - the added classifier</dd>
</dl>
</li>
</ul>
<a name="checkEObject-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>checkEObject</h4>
<pre>protected&nbsp;org.eclipse.emf.ecore.EObject&nbsp;checkEObject(<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
                                                     org.eclipse.emf.ecore.EObject&nbsp;sourceEObj)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PreTemplateInstantiationListener.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/PostTemplateInstantiationListener.html" title="class in org.eclipse.papyrus.designer.transformation.core.templates"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateInstantiation.html" title="class in org.eclipse.papyrus.designer.transformation.core.templates"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/core/templates/PreTemplateInstantiationListener.html" target="_top">Frames</a></li>
<li><a href="PreTemplateInstantiationListener.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
